> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingratesinboxesmessages



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/rates/inboxes/messages
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/rates/inboxes/messages:
    get:
      tags:
        - SmsRoutingRates
      operationId: sms.routing.rates.inboxes.messages
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: Paginated set of `SmsRoutePriceMessageResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SmsRoutePriceMessageResource'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                      total:
                        type: integer
                        description: Total number of items being paginated.
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRoutePriceMessageResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        route_name:
          type: string
        company:
          type: string
        stats:
          type: string
        errors:
          type: array
          items:
            type: string
        info:
          type: array
          items:
            type: string
        mail:
          $ref: '#/components/schemas/SmsRoutePriceMailResource'
        state:
          type: string
        files:
          type: array
          items:
            $ref: '#/components/schemas/SmsRoutePriceMessageFileResource'
        settings:
          type: object
          properties:
            columns:
              type: string
            extra_settings:
              type: string
          required:
            - columns
            - extra_settings
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - sms_route_id
        - route_name
        - company
        - stats
        - errors
        - info
        - mail
        - state
        - settings
        - created_at
      title: SmsRoutePriceMessageResource
    SmsRoutePriceMailResource:
      type: object
      properties:
        subject:
          type: string
        from:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        to:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        cc:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        bcc:
          type: array
          items:
            $ref: '#/components/schemas/MailAddressResource'
        date:
          type: string
        message_id:
          type: string
        attachments:
          type: array
          description: '''text_plain'' => $this->resource[''text_plain''],'
          items:
            $ref: '#/components/schemas/SmsRoutePriceAttachmentResource'
      required:
        - subject
        - from
        - to
        - cc
        - bcc
        - date
        - message_id
        - attachments
      title: SmsRoutePriceMailResource
    SmsRoutePriceMessageFileResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        sms_route_price_message_id:
          type: string
        file_name:
          type: string
        stats:
          type: string
        info:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - sms_route_id
        - sms_route_price_message_id
        - file_name
        - stats
        - info
        - created_at
      title: SmsRoutePriceMessageFileResource
    MailAddressResource:
      type: object
      properties:
        full:
          type: string
        host:
          type: string
        mail:
          type: string
        mailbox:
          type: string
        personal:
          type: string
      required:
        - full
        - host
        - mail
        - mailbox
        - personal
      title: MailAddressResource
    SmsRoutePriceAttachmentResource:
      type: object
      properties:
        name:
          type: string
        content_type:
          type: string
        size:
          type: integer
      required:
        - name
        - content_type
        - size
      title: SmsRoutePriceAttachmentResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````